
Figure - Bug #117874
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】百度手机助手微信登录后Recent页面显示多个百度手机助手后台任务
2023-05-11 14:46 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-16

Test Type: Release Test Root cause: 问题原因：��freeform的task被添加到了recent的数据源中��问题处理：��将freeform的task出recent的数据源中进行过滤

Description

【测试步骤】

1.打开百度手机助手使用微信登录

2.登录后进入Recent页

【预期结果】

Recent页面显示1个百度手机助手后台任务

【测试结果】

Recent页面显示多个百度手机助手后台任务

Related issues:

Related to Figure - Bug # 117876: 【AF】【EVT3】【小窗模式】小窗1被小窗2... CLOSED 2023-05-11

History

#1 - 2023-05-11 19:30 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD FW王武军

Launcher那边获取历史记录列表是通过 RecentTasks#getRecentTasksImpl来获取的

之前有一次修改把Recent的添加逻辑改了,可以看看是不是下面的方法导致的

hasCompatibleActivityTypeAndWindowingMode

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/185024/2/services/core/java/com/android/server/wm/RecentTasks.java

#2 - 2023-05-13 18:28 - CD FW王武军

【】当前状态

1、复现问题，明确问题现象。

2、问题分析

1）从RecentTasks.getRecentTasksImpl获取到的list中包好了多个百度助手的task，该task就是登录过程中

启动的task：

 22:50:55.982  1044  1106 D wwj     : mTasks-----> task=Task{f2c08ea #2075 type=undefined A=10104:com.baidu.appsearch U=0 visible=false mode=undefined

translucent=true sz=0 visible freeform task=true rootAffinity=10104:com.baidu.appsearch isMini=false}

05-11 22:50:55.982  1044  1106 D wwj     : mTasks-----> task=Task{f7347db #2071 type=undefined A=10104:com.baidu.appsearch U=0 visible=false mode=undefined
translucent=true sz=0 visible freeform task=true rootAffinity=10104:com.baidu.appsearch isMini=false}

05-11 22:50:55.982  1044  1106 D wwj     : mTasks-----> task=Task{25c8278 #2073 type=undefined A=10104:com.baidu.appsearch U=0 visible=false mode=undefined

translucent=true sz=0 visible freeform task=true rootAffinity=10104:com.baidu.appsearch isMini=false}

从数据来看，确实存在多个task，而且这些task，没有明确的信息可以进行区分。

2）取消掉小窗限制

取消百度助手和微信的小窗限制，进行登录操作，同样存在问题，会有多个task存在，并且可以获取到。

3、下一步

该问题与百度助手微信登录的过程强关联，是否需要从特殊处理的角度将没用的task进行移除？这个还需考虑。

#3 - 2023-05-15 19:44 - CD FW王武军

1、5月15日进展

1）经过分析现在有一个处理方案：将freeform的task从recent的列表中进行移除，以此

确保freeform的task只显示在小窗的container中，不显示在常规的recent中

2）已经将方案进行了提交

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/200205

#4 - 2023-05-15 20:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200205 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:MultiWindow: fix more freeform taskAdd logic to filter the freeform task from recent data,save and restore task from persister.TC-RID: 1201-0204601IssueID:

TS-R-BUG-117874Change-Id: I30622f3ca040a479dfbcda5485c88c6dad2d622f

#5 - 2023-05-15 20:19 - CD FW王武军

- Assignee changed from CD FW王武军 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-16

- Root cause set to 问题原因：

freeform的task被添加到了recent的数据源中

问题处理：

将freeform的task出recent的数据源中进行过滤

#6 - 2023-05-16 11:16 - 物联网测试组_CDTS  唐霞 

- Status changed from New to ASSIGNED

小窗打开的应用不会显示在recent的列表中，小窗的只会显示当前；打开多个小窗应用，也只会显示一个在小窗的位置，其他的不会显示在recent的列表

展示页

验证通过，关闭问题单 

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103
#7 - 2023-05-16 11:16 - 物联网测试组_CDTS  唐霞 

- Status changed from ASSIGNED to RESOLVED

#8 - 2023-05-16 11:17 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-16 11:17 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
